Bug 119197 - Disappeared some MS Equation symbols in DOCX file when open it in Writer
Summary: Disappeared some MS Equation symbols in DOCX file when open it in Writer
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
5.2.7.2 release
Hardware: All All
: medium normal
Assignee: Mike Kaganski
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-10 11:59 UTC by Roman Kuznetsov
Modified: 2019-04-15 04:35 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example DOCX (14.49 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-08-10 11:59 UTC, Roman Kuznetsov
Details
Screenshot with red question marks in LibreOffice Writer 5.2.7.2 (4.62 KB, image/png)
2018-08-10 12:04 UTC, Roman Kuznetsov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2018-08-10 11:59:06 UTC
Description:
Dissapeared some MS Equation symblos in DOCX file when open it in Writer

Steps to Reproduce:
1. Open file from attach
2. Look at inverted red question marks instead math symbols (from MS Equation)

Actual Results:
Dissapears some MS Equation symblos in DOCX file when open it in Writer

Expected Results:
MS Equation symblos in DOCX file opens fine in Writer


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Roman Kuznetsov 2018-08-10 11:59:45 UTC
Created attachment 144085 [details]
Example DOCX
Comment 2 Roman Kuznetsov 2018-08-10 12:04:17 UTC
Created attachment 144086 [details]
Screenshot with red question marks in LibreOffice Writer 5.2.7.2
Comment 3 Roman Kuznetsov 2018-08-10 12:05:18 UTC
Example file was created in MSO 2003 and then was saved in DOCX with converter from MS
Comment 4 Julien Nabet 2018-08-10 12:53:55 UTC
On Win7, LO 6.0.6, I could reproduce this.
Comment 5 Mike Kaganski 2018-08-10 14:02:23 UTC
https://gerrit.libreoffice.org/58835
Comment 6 Commit Notification 2018-08-11 18:49:45 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=12ea892df9ca1691c406b4c98f996456e3b69307

tdf#119197: import some symbols as symbols, not as Math functions

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Roman Kuznetsov 2018-08-25 00:02:53 UTC
fixed in

Version: 6.2.0.0.alpha0+
Build ID: 58f2e4690b57f0fa7a95be3a023d54d8967f5529
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-08-23_23:45:59
Locale: ru-RU (ru_RU.UTF-8); Calc: threaded

please backport it in to 6.0.7 and 6.1